Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 658278 - [abrt] valide-0.7.0-7.20100923bzr557.fc14: gtk_text_view_finalize: Process /usr/bin/valide was killed by signal 6 (SIGABRT)
Summary: [abrt] valide-0.7.0-7.20100923bzr557.fc14: gtk_text_view_finalize: Process /u...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: valide
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: MERCIER Jonathan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:65979202ed96b4146915c8e103e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-29 21:08 UTC by Tim Hughes
Modified: 2011-11-05 13:22 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-05 13:18:34 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (26.86 KB, text/plain)
2010-11-29 21:08 UTC, Tim Hughes
no flags Details

Description Tim Hughes 2010-11-29 21:08:24 UTC
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/valide
comment: This is repeatable every time making the IDE unusable
component: valide
crash_function: gtk_text_view_finalize
executable: /usr/bin/valide
kernel: 2.6.35.6-48.fc14.x86_64
package: valide-0.7.0-7.20100923bzr557.fc14
rating: 4
reason: Process /usr/bin/valide was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1291063465
uid: 500

How to reproduce
-----
1. In the start page , create a new project
2. Select Gnome project 
3. Create a new project folder called test123
4. In the project pane double click on main.vala
5. Acknowledge ARBT crash popup
6. Fill out bug report

Comment 1 Tim Hughes 2010-11-29 21:08:27 UTC
Created attachment 463579 [details]
File: backtrace

Comment 2 Christian A. Reiter 2010-12-19 18:32:49 UTC
Package: valide-0.7.0-7.20100923bzr557.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. start valide
2. create new GNOME project with a default main. vala
3. open that file "main.vala"

valide crashes


Comment
-----
shoud do with any other file too.
see https://bugs.launchpad.net/valide/+bug/674520

Comment 3 Pierre-YvesChibon 2011-01-06 15:24:48 UTC
Package: valide-0.7.0-7.20100923bzr557.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Install valide on a clean and up to date system
2. Start valide 
3. Create a new CLI project
4. Try to open main.vala


Comment
-----
When I try to open my main.vala on my newly created project, it crashes

Comment 4 Nicolas Joseph 2011-01-07 17:15:29 UTC
Bug fixed: https://bugs.launchpad.net/valide/+bug/674520

Comment 5 Trevor Davenport 2011-03-02 23:35:28 UTC
Package: valide-0.7.0-7.20100923bzr557.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Created test opengl sample with new project wizard.  

Crashes when trying to open project.

Comment 6 Mike Ma 2011-03-10 13:17:56 UTC
Package: valide-0.7.0-7.20100923bzr557.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Just close main window.


Comment
-----
Always happend
Why do not fix it?

Comment 7 Vratislav Podzimek 2011-03-29 11:35:16 UTC
Package: valide-0.7.0-7.20100923bzr557.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open some file in Val(a)IDE

Comment
-----
Same crash with both ways of opening - 1. context menu of the file; 2. Open file from Val(a)IDE already running

Comment 8 Greg Gerber 2011-03-29 18:01:52 UTC
Package: valide-0.7.0-7.20100923bzr557.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Tried to open the main.vala file in valide
2.
3.

Comment 9 Pierre-YvesChibon 2011-04-12 12:46:54 UTC
Package: valide-0.7.0-7.20100923bzr557.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Start valide
2. Open a project
3. Try to open a file


Comment
-----
I just tried to open a file in an existing project.

Comment 10 Justin Willmert 2011-04-25 18:36:59 UTC
Package: valide-0.7.0-7.20100923bzr557.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Start Val(a)IDE
2. Start a new project
3. Open main.vala
4. Val(a)IDE crashes


Comment
-----
According to the project's launchpad site, the problem has been fixed in bzr revision number 573 (https://bugs.launchpad.net/valide/+bug/674520), so an update to at least the revision should presumably fix the problem.

Comment 11 Pierre-YvesChibon 2011-11-05 13:22:37 UTC
It would be nice to have some words of explanation rather than closing the bug as can't fix without even a single comment from you...


Note You need to log in before you can comment on or make changes to this bug.